aboutsummaryrefslogtreecommitdiff
path: root/test/lint
diff options
context:
space:
mode:
authorrandymcmillan <randy.lee.mcmillan@gmail.com>2019-11-04 04:22:53 -0500
committerrandymcmillan <randy.lee.mcmillan@gmail.com>2019-11-04 04:22:53 -0500
commitac831339cbfa65b1f7576c53b5d9a94841db9868 (patch)
tree4a8262bfa2dd49b03261f8bc6e0e85dc189cd8bb /test/lint
parent463eab5e1418a592036e7bf9bf46f66fe6462435 (diff)
downloadbitcoin-ac831339cbfa65b1f7576c53b5d9a94841db9868.tar.xz
doc: Fix some misspellings
Diffstat (limited to 'test/lint')
-rw-r--r--test/lint/lint-spelling.ignore-words.txt3
-rwxr-xr-xtest/lint/lint-spelling.sh2
2 files changed, 2 insertions, 3 deletions
diff --git a/test/lint/lint-spelling.ignore-words.txt b/test/lint/lint-spelling.ignore-words.txt
index b08837c1d4..576ae94098 100644
--- a/test/lint/lint-spelling.ignore-words.txt
+++ b/test/lint/lint-spelling.ignore-words.txt
@@ -1,9 +1,7 @@
-cas
hights
mor
mut
objext
-unselect
useable
wit
unparseable
@@ -13,3 +11,4 @@ errorstring
keyserver
homogenous
setban
+hist
diff --git a/test/lint/lint-spelling.sh b/test/lint/lint-spelling.sh
index e70b73e1cc..251a94f7ff 100755
--- a/test/lint/lint-spelling.sh
+++ b/test/lint/lint-spelling.sh
@@ -15,6 +15,6 @@ if ! command -v codespell > /dev/null; then
fi
IGNORE_WORDS_FILE=test/lint/lint-spelling.ignore-words.txt
-if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/qt/locale/" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
+if ! codespell --check-filenames --disable-colors --quiet-level=7 --ignore-words=${IGNORE_WORDS_FILE} $(git ls-files -- ":(exclude)build-aux/m4/" ":(exclude)contrib/seeds/*.txt" ":(exclude)depends/" ":(exclude)doc/release-notes/" ":(exclude)src/leveldb/" ":(exclude)src/qt/locale/" ":(exclude)src/qt/*.qrc" ":(exclude)src/secp256k1/" ":(exclude)src/univalue/"); then
echo "^ Warning: codespell identified likely spelling errors. Any false positives? Add them to the list of ignored words in ${IGNORE_WORDS_FILE}"
fi